// FMod_TCP_BOX_TestDlg.h : header file
//

#if !defined(AFX_FMOD_TCP_BOX_TESTDLG_H__2F1B84FA_A2E0_4643_9EB6_C8FBAB9D1AF9__INCLUDED_)
#define AFX_FMOD_TCP_BOX_TESTDLG_H__2F1B84FA_A2E0_4643_9EB6_C8FBAB9D1AF9__INCLUDED_

#if _MSC_VER > 1000
#pragma once
#endif // _MSC_VER > 1000
/******************************************************************************/
/******************************************************************************/

//  FiveCo        Innovative Engineering

//  Switzerland                     2006

/******************************************************************************/
/******************************************************************************/

/////////////////////////////////////////////////////////////////////////////

#include "FMod_TCP_BOX_DLLInterface.h"

/////////////////////////////////////////////////////////////////////////////
// CFMod_TCP_BOX_TestDlg dialog

class CFMod_TCP_BOX_TestDlg : public CDialog
{
// Construction
public:
	CFMod_TCP_BOX_TestDlg(CWnd* pParent = NULL);	// standard constructor
	~CFMod_TCP_BOX_TestDlg();						// Destructor


	static void	Data_Received_MAINPORT(FMod_SRegisterListRead *RegList, void *ComID);
	static void Data_Received_RS232(int NbByte, void *ComID);
	static void	Com_Event_MAIN(int State, void *ComID);
	static void	Com_Event_RS232(int State, void *ComID);
	


// Dialog Data
	//{{AFX_DATA(CFMod_TCP_BOX_TestDlg)
	enum { IDD = IDD_FMOD_TCP_BOX_TEST_DIALOG };
	CStatic	m_StateRS232_Control;
	CEdit	m_DataRecRS232_Control;
	CEdit	m_Add4RS232_Control;
	CEdit	m_Add3RS232_Control;
	CEdit	m_Add2RS232_Control;
	CEdit	m_Add1RS232_Control;
	CEdit	m_NewAdd2_Control;
	CStatic	m_StateGeneral_Control;
	CEdit	m_NewAdd4_Control;
	CEdit	m_NewAdd3_Control;
	CEdit	m_NewAdd1_Control;
	CStatic	m_TimeRepetVal_Control;
	CEdit	m_TimeRepet_Control;
	CEdit	m_DataRecMain_Control;
	CStatic	m_StateMain_Control;
	CEdit	m_Add4Main_Control;
	CEdit	m_Add3Main_Control;
	CEdit	m_Add2Main_Control;
	CEdit	m_Add1Main_Control;
	CStatic	m_StateComControl;
	//}}AFX_DATA

	// ClassWizard generated virtual function overrides
	//{{AFX_VIRTUAL(CFMod_TCP_BOX_TestDlg)
	protected:
	virtual void DoDataExchange(CDataExchange* pDX);	// DDX/DDV support
	//}}AFX_VIRTUAL

// Implementation
protected:
	HICON m_hIcon;

	// Generated message map functions
	//{{AFX_MSG(CFMod_TCP_BOX_TestDlg)
	virtual BOOL OnInitDialog();
	afx_msg void OnPaint();
	afx_msg HCURSOR OnQueryDragIcon();
	afx_msg void OnOpen();
	afx_msg void OnButton1();
	afx_msg void OnButton2();
	afx_msg void OnClose();
	afx_msg void OnStartreadcontinous();
	afx_msg void OnStopreadcontinous();
	afx_msg void OnOpenmain();
	afx_msg void OnClosemain();
	afx_msg void OnSendread();
	afx_msg void OnSendwrite();
	afx_msg void OnSendrw();
	afx_msg void OnSendi2c();
	afx_msg void OnSettimerepet();
	afx_msg void OnScannetwork();
	afx_msg void OnChangeadd();
	afx_msg void OnOpenrs232();
	afx_msg void OnClosers232();
	afx_msg void OnSendrs232();
	//}}AFX_MSG
	DECLARE_MESSAGE_MAP()
};


//{{AFX_INSERT_LOCATION}}
// Microsoft Visual C++ will insert additional declarations immediately before the previous line.

#endif // !defined(AFX_FMOD_TCP_BOX_TESTDLG_H__2F1B84FA_A2E0_4643_9EB6_C8FBAB9D1AF9__INCLUDED_)
